ServerEvents.recipes(event => {
    event.replaceInput(
        {id: 'waystones:warp_dust'},
        'minecraft:ender_pearl',
        '#kubejs:grist/intelligent/basic'
    )

    event.replaceInput(
        {id: 'waystones:warp_stone'},
        'minecraft:emerald',
        '#kubejs:grist/intelligent/improved'
    )

    event.replaceInput(
        {id: 'waystones:sharestone'},
        'waystones:warp_stone',
        '#kubejs:grist/intelligent/improved'
    )

    event.recipes.thermal.smelter('4x waystones:warp_dust',  ['#kubejs:grist/intelligent/basic', '2x minecraft:amethyst_shard']);
});